### Function

# FwupdPlugin input_stream_chunkify

#### Declaration [src]

    gboolean
    fu_input_stream_chunkify (
      GInputStream* stream,
      FuInputStreamChunkifyFunc func_cb,
      gpointer user_data,
      GError** error
    )

#### Description [src]

Split the stream into blocks and calls a function on each chunk.

Available since: | 2.0.0

#### Parameters

`stream` | `GInputStream`
| A `GInputStream`.
| The data is owned by the caller of the function.
`func_cb` | `FuInputStreamChunkifyFunc`
| Function to call with chunks.
`user_data` | `gpointer`
| User data to pass to `func_cb`.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`error` | `GError **`
| The return location for a `GError*`, or `NULL`.

#### Return value

Returns: | `gboolean`
| `TRUE` for success.